import request from '@/utils/request'

const baseURL = import.meta.env.VITE_APP_BASE_API
// request.defaults.baseURL = '/ezhizao-yzbh-sys'
// const headUrl = '/ezhizao-yzbh-sys'
// 查询版本管理列表
export function listVersion(query) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/version/list',
    method: 'get',
    params: query
  })
}

// 查询版本管理详细
export function getVersion(id) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/version/' + id,
    method: 'get'
  })
}

// 新增版本管理
export function addVersion(data) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/version',
    method: 'post',
    data: data
  })
}

// 修改版本管理
export function updateVersion(data) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/version',
    method: 'put',
    data: data
  })
}

// 删除版本管理
export function delVersion(id) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/version/' + id,
    method: 'delete'
  })
}
